Skip to main content
GET
/
public
/
{user_id}
/
cart
/
{cart_uuid}
/
lines
List Cart Lines
curl --request GET \
  --url https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/lines \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "uuid": "a13651d1-54f1-4c27-8343-67823eb4b527",
      "reference_id": "98c5fe54-6200-35a6-99da-c7ded06ec75e",
      "title": "Miss",
      "description": "Dignissimos est iste temporibus sed ipsa maxime facilis.",
      "quantity": 1,
      "unit_quantity": 1,
      "purchasable_type": "product_variant",
      "purchasable_id": "5b24419d-2f5c-31e5-bbee-ed6356d8819f",
      "unit_price": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "sub_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "discount_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "tax_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "total_before_tax": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "exchange_rate": "0.80000000",
      "exchange_rate_fetched_at": "2026-03-03T14:05:29.0000000+00:00"
    },
    {
      "uuid": "a13651d1-6850-471e-98d3-4832802f6e51",
      "reference_id": "f392051b-a656-3854-aa1e-7d2275bd3a52",
      "title": "Mr.",
      "description": "Temporibus omnis facere ipsa.",
      "quantity": 1,
      "unit_quantity": 1,
      "purchasable_type": "product_variant",
      "purchasable_id": "7c56c685-82c8-3d4f-b3bf-d88cf9bebcb3",
      "unit_price": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "sub_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "discount_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "tax_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "total_before_tax": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "exchange_rate": "0.80000000",
      "exchange_rate_fetched_at": "2026-03-03T14:05:29.0000000+00:00"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

The ID of the user.

cart_uuid
string
required

Response

200 - application/json
data
object[]
Example:
[
{
"uuid": "a13651d1-54f1-4c27-8343-67823eb4b527",
"reference_id": "98c5fe54-6200-35a6-99da-c7ded06ec75e",
"title": "Miss",
"description": "Dignissimos est iste temporibus sed ipsa maxime facilis.",
"quantity": 1,
"unit_quantity": 1,
"purchasable_type": "product_variant",
"purchasable_id": "5b24419d-2f5c-31e5-bbee-ed6356d8819f",
"unit_price": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"sub_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total_before_tax": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"exchange_rate": "0.80000000",
"exchange_rate_fetched_at": "2026-03-03T14:05:29+00:00"
},
{
"uuid": "a13651d1-6850-471e-98d3-4832802f6e51",
"reference_id": "f392051b-a656-3854-aa1e-7d2275bd3a52",
"title": "Mr.",
"description": "Temporibus omnis facere ipsa.",
"quantity": 1,
"unit_quantity": 1,
"purchasable_type": "product_variant",
"purchasable_id": "7c56c685-82c8-3d4f-b3bf-d88cf9bebcb3",
"unit_price": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"sub_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total_before_tax": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"exchange_rate": "0.80000000",
"exchange_rate_fetched_at": "2026-03-03T14:05:29+00:00"
}
]